routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return redirect route('/home');
// });

Auth::routes();

Route::get('/', 'HomeController@index')->name('home');

Route::resource('brands', 'BrandController');

Route::resource('vehicles', 'VehicleController');
route::resource('vehicles.services', 'ServiceController');
route::resource('vehicles.schedules', 'MaintenanceScheduleController');

route::resource('workitems', 'WorkitemController');

route::resource('workshops', 'WorkshopController');


route::resource('logs', 'MaintananceLogController');
route::resource('logdetails', 'MaintananceLogDetailController');
route::resource('schedules', 'MaintenanceScheduleController');

app/Brand.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Brand extends Model
{
    protected $guarded = [];
    
    Protected function Vehicles()
    {
        return $this->hasMany('App\Vehicle', 'vehicle_id');
    }
}

app/Http/Controllers/BrandController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Brand;

class BrandController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $brands = Brand::all();
        return view('brands.index',['brands' => $brands] );
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('brands.new');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request,[
            'name' => 'required',
            'code' => 'required'
        ]);
        $brand = new Brand;
        $brand->name = $request->name;
        $brand->code = $request->code;
        // $brand->active = $request->active;
        // $brand->active = $request->1;
        $brand->save();
        // Brand::create([
        //     'name' => $request->name,
        //     'code' => $request->code,
        // ]);
 
        return redirect()->route('brands.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($brand)
    {
        $brand = Brand::find($brand);
        return view('brands.edit', ['brand' => $brand]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $brand)
    {
        $brand = Brand::find($brand);   
        $brand->name = $request->name;
        $brand->code = $request->code;
        $brand->save();
        return redirect()->route('brands.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($brand)
    {
        $brand = Brand::find($brand);
        $brand->delete();
        return redirect()->route('brands.index');
    }
}

resources/views/brands/edit.blade.php
@extends('layouts.app')

@section('title','Brand')

@section('breadcrumb')  
    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
    <li><a href="{{ route('brands.index') }}">{{ $brand->name }}</a></li>
    <li class="active">Edit</li>
@endsection

@section('content')
  <div class="row">
  <div class="col-md-6">
    <div class="box box-primary">
      <div class="box-header with-border">
        <h3 class="box-title">Edit Brand</h3>
      </div>
      <!-- /.box-header -->
      <!-- form start -->      
      <form action="{{ route('brands.update', $brand->id) }}" method="POST">
        @csrf
        <input type="hidden" name="_method" value="PATCH">
        <div class="box-body">
          <div class="form-group">
            <label for="exampleInputEmail1">Name</label>
            <input type="text" class="form-control" id="name" name="name" placeholder="Name" value="{{ $brand->name }}">
            @error('name')
              <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
              </span>
            @enderror
          </div>
          <div class="form-group">
            <label for="exampleInputPassword1">Code</label>
            <input type="text" class="form-control" id="code" name="code" placeholder="The Code" value="{{ $brand->code }}">
            @error('name')
              <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
              </span>
            @enderror
          </div>
          <div class="form-group">
            <div class="btn-group btn-group-toggle" data-toggle="buttons">
              <label class="btn btn-secondary {{ $brand->active == '1' ? 'active' : null }}">
                <input type="radio" name="active" id="option1" value="1" autocomplete="off"> Active
              </label>
              <label class="btn btn-secondary {{ $brand->active == '0 ' ? 'active' : null }}">
                <input type="radio" name="active" id="option2" value="0" autocomplete="off"> Non Active
              </label>
            </div>
            @error('active')
              <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
              </span>
            @enderror
          </div>
        </div>
        <!-- /.box-body -->

        <div class="box-footer">
          <button type="submit" class="btn btn-primary">Save</button>
        </div>
      </form>
    </div>
  </div>
</div>  
@endsection   

resources/views/brands/index.blade.php
@extends('layouts.app')

@section('title','Brand')

@section('breadcrumb')  
    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
    <li><a href="#">Tables</a></li>
    <li class="active">Simple</li>
@endsection

@section('content')
  <div class="row">
    <div class="col-md-6">
      <div class="box">
        <div class="box-header">
          <h3 class="box-title">List Brand</h3>
          <div class="box-tools pull-right">
            <a href="{{ route('brands.create') }}" class="btn btn-sm btn-primary"> Add New Brand</a>
          </div>
        </div>
        <!-- /.box-header -->
        <div class="box-body no-padding">
          <table class="table table-bordered">
            <thead>
              <tr>
                <th width="" class="text-center">No</th>
                <th width="" class="text-center">Code</th>
                <th width="" class="text-center">Name</th>
                <th width="" class="text-center" colspan="2">Action</th>
              </tr>
            </thead>
            <tbody>
              @if($brands->isEmpty())
                  <tr>
                    <td colspan="3" class="text-center">
                      No Data
                    </td>
                  </tr>
                @else
                  @foreach($brands as $brand)
                    <tr>
                     <td>{{ $loop->iteration }}</td>
                     <td>{{ $brand->code }}</td>
                     <td>{{ $brand->name }}</td>
                     <td class="text-center">
                     <form method="POST" action="{{ route('brands.destroy', $brand->id) }}">
                      <input type="hidden" name="_method" value="delete">
                      @csrf
                      <a href="{{ route('brands.edit', $brand->id) }}" class="btn btn-warning btn-sm">Edit</a>
                        <button type="submit" class="btn btn-danger btn-sm" onclick="return confirm('are you sure?')">Delete</button>  
                     </form>
                     </td>
                     
                    </tr>
                  @endforeach
              @endif
            </tbody>
          </table>
        </div>
        <!-- /.box-body -->
      </div>
    </div>  
  </div>  
@endsection

resources/views/brands/new.blade.php
@extends('layouts.app')

@section('title','Brand')

@section('breadcrumb')  
    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
    <li><a href="#">Tables</a></li>
    <li class="active">Brand</li>
@endsection

@section('content')
<div class="row">
  <div class="col-md-6">
    <div class="box box-primary">
      <div class="box-header with-border">
        <h3 class="box-title">New Brands</h3>
      </div>
      <!-- /.box-header -->
      <!-- form start -->
      <form role="form" action="{{ route('brands.store') }}" method="POST">
        @csrf
        <div class="box-body">
          <div class="form-group">
            <label for="name">Name</label>
            <input type="text" class="form-control" id="name" name="name" placeholder="Name">
            @error('name')
              <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
              </span>
            @enderror
          </div>
          <div class="form-group">
            <label for="code">Code</label>
            <input type="text" class="form-control" id="code" name="code" placeholder="The Code">
            @error('name')
              <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
              </span>
            @enderror
          </div>
          <div class="form-group">
            <div class="btn-group btn-group-toggle" data-toggle="buttons">
              <label class="btn btn-secondary active">
                <input type="radio" name="active" id="option1" value="1" autocomplete="off" checked> Active
              </label>
              <label class="btn btn-secondary">
                <input type="radio" name="active" id="option2" value="0" autocomplete="off"> Non Active
              </label>
            </div>
            @error('active')
              <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
              </span>
            @enderror
          </div>
        </div>
        <!-- /.box-body -->

        <div class="box-footer">
          <button type="submit" class="btn btn-primary">Save</button>
        </div>
      </form>
    </div>
  </div>
</div> 
@endsection